package com.house365.service.impl;

import com.house365.common.searchBeans.QueryParams;
import com.house365.service.interfaces.ComputeClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Date: 2016/12/14</p>
 *
 * @author XN
 * @version 1.0
 */
@Component
public class ComputeClientHystrix implements ComputeClient {


    @Override
    public Integer add(@RequestParam(value = "a") Integer a, @RequestParam(value = "b") Integer b) {
        return -9999;
    }

    @Override
    public Integer list(QueryParams queryParams) {
        return null;
    }

    @Override
    public String checkWeChatCallback(@RequestParam(value = "msg_signature") String sVerifyMsgSig,
                                      @RequestParam(value = "timestamp") String sVerifyTimeStamp, @RequestParam(value = "nonce") String sVerifyNonce,
                                      @RequestParam(value = "echostr") String sVerifyEchoStr) {
        return null;
    }
}
